Get all teams in an organisation
curl --request GET \
--url https://wmc.wiremockapi.cloud/v1/organisations/{organisationId}/teams \
--header 'Authorization: <api-key>'import requests
url = "https://wmc.wiremockapi.cloud/v1/organisations/{organisationId}/teams"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://wmc.wiremockapi.cloud/v1/organisations/{organisationId}/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"start": 1,
"end": 1,
"total": 1,
"page": 1,
"totalPages": 1
},
"links": {
"self": "/v1/organisations/mgk7g/teams?limit=20&page=1"
},
"teams": [
{
"id": "p9e4r",
"aclSubject": "dyv8j",
"aclObject": "626vg",
"name": "Elite Team",
"links": {
"organisation": "/v1/organisations/mgk7g",
"aclSubject": "/v1/acl/subjects/dyv8j",
"aclObject": "/v1/acl/objects/626vg",
"acl": "/v1/teams/p9e4r/acl{?subjectId}"
}
}
]
}"Credentials are required to access this resource."{
"errors": [
{
"title": "Forbidden",
"source": {}
}
]
}{
"code": 404,
"message": "HTTP 404 Not Found"
}Teams
Get all teams in an organisation
GET
/
v1
/
organisations
/
{organisationId}
/
teams
Get all teams in an organisation
Path Parameters
Query Parameters
A filter for the retrieved items. Only items whose name contains the filter value will be retrieved. The filter is case insensitive.
Required range:
x >= 1Required range:
x >= 1⌘I